Name: ca_DarkMatterAssuredCA
Version: 1.101
Release: 1
Source: ca_DarkMatterAssuredCA-1.101.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_DarkMatterAssuredCA-1.101/dmassuredca.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority DarkMatterAssuredCA

%if %([ -n "http://ca.darkmatter.ae/Grid/" ] && echo 1 || echo 0)
URL: http://ca.darkmatter.ae/Grid/
%endif

%if %([ -n "ca_QuoVadis-Root-CA3G3 = 1.101" ] && echo 1 || echo 0)
Requires: ca_QuoVadis-Root-CA3G3 = 1.101
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_DarkMatterAssuredCA-1.101

%description
This is the trust anchor for the classic accredited authority DarkMatterAssuredCA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

